// File ImportGmesh.h by az

#ifndef IMPORT_GMESH_H
#define IMPORT_GMESH_H

#include "ImportFormat.h"

#include <QWidget>

class QString;
class QFile;
class QLabel;
class RTMSimulator;

/**
 * @brief Class that is used to import files in Gmsh format
 */
class ImportGmesh : public ImportFormat
{
    int m_numberOfNodes;
    int m_numberOfElements;

private:
    bool readSizeInformation(QFile* pFile);
    bool importNodes(QFile* pFile);
    bool importConnections(QFile* pFile);
    void read(QFile* pFile);
    void createConnections(std::list<int>* connectionList);

public:
    ImportGmesh(QFile* pFile, RTMSimulator* pSimulator);
    ImportGmesh(QString strFile, RTMSimulator* pSimulator);
};

#endif //IMPORT_GMESH_H
